import { SimpleLocalIntegration } from '../../core/index.js';
import { EbusdConfigFlow } from './ebusd.classes.configflow.js';
import { createEbusdDiscoveryDescriptor } from './ebusd.discovery.js';
import type { IEbusdConfig } from './ebusd.types.js';
import { ebusdDomain, ebusdProfile } from './ebusd.types.js';

export class EbusdIntegration extends SimpleLocalIntegration<IEbusdConfig> {
  public readonly domain = ebusdDomain;
  public readonly discoveryDescriptor = createEbusdDiscoveryDescriptor();
  public readonly configFlow = new EbusdConfigFlow();

  constructor() {
    super(ebusdProfile);
  }
}

export class HomeAssistantEbusdIntegration extends EbusdIntegration {}
